// creator  : weidu.exe (version 23600)
// argument : X#ANDART.DLG
// game     : .
// source   : ./override/X#ANDART.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~X#ANDART~

IF ~  Global("X#JaheiraHealsB","GLOBAL",6)
~ THEN BEGIN 0 // from:
  SAY #49637 /* ~Who dares to intrude on Shadow Druid territory during the sacred time of the Shadowclave? Whoever you are, fools, I sense that I must thank you. You have brought me another of those false druids to torture and punish according to our sacred rites. She will scream as loudly and delightfully as that idiot Beador, until she recognizes the falseness of her ways!~ */
  IF ~~ THEN EXTERN ~JAHEIJ~ 227
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~KHALIJ~ 41
END

IF ~  Global("X#JQBeadorDead","GLOBAL",3)
~ THEN BEGIN 1 // from:
  SAY #49637 /* ~Who dares to intrude on Shadow Druid territory during the sacred time of the Shadowclave? Whoever you are, fools, I sense that I must thank you. You have brought me another of those false druids to torture and punish according to our sacred rites. She will scream as loudly and delightfully as that idiot Beador, until she recognizes the falseness of her ways!~ */
  IF ~~ THEN EXTERN ~JAHEIJ~ 228
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~KHALIJ~ 42
END

IF ~  Global("X#AndSurrender","GLOBAL",1)
~ THEN BEGIN 2 // from:
  SAY #49646 /* ~Please! I... I implore you... have mercy and spare my life... I will leave these lands and never return. I stand defenseless.~ */
  IF ~  !Dead("beador")
~ THEN DO ~DestroyItem("MINHP1")
SetGlobal("X#AndSurrender","GLOBAL",2)
~ EXTERN ~JAHEIJ~ 229
  IF ~  Dead("beador")
~ THEN DO ~DestroyItem("MINHP1")
SetGlobal("X#AndSurrender","GLOBAL",2)
~ EXTERN ~JAHEIJ~ 230
END

IF ~~ THEN BEGIN 3 // from:
  SAY #49647 /* ~Bah! If Amarande can ever agree to ally with one of Seniyad's whores, then he is as disloyal to our beliefs as you are, Faldorn! In Beastlord's name, let us teach these imbeciles a harsh lesson!~ */
  IF ~~ THEN DO ~SetGlobal("X#JaheiraQuestAAttack","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #49648 /* ~You stand no chance against a true defender of Mother Nature, pretentious weakling! In the name of the Beastlord, kill these fools!~ */
  IF ~~ THEN DO ~SetGlobal("X#JaheiraQuestAAttack","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #49647 /* ~Bah! If Amarande can ever agree to ally with one of Seniyad's whores, then he is as disloyal to our beliefs as you are, Faldorn! In Beastlord's name, let us teach these imbeciles a harsh lesson!~ */
  IF ~~ THEN DO ~SetGlobal("X#JaheiraQuestAAttack","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #49648 /* ~You stand no chance against a true defender of Mother Nature, pretentious weakling! In the name of the Beastlord, kill these fools!~ */
  IF ~~ THEN DO ~SetGlobal("X#JaheiraQuestAAttack","GLOBAL",1)
~ EXIT
END
